Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Persistence\Cache\TransactionHandler Class Reference

Persistence Transaction Cache Handler class. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Cache\TransactionHandler:

## Public Member Functions
| beginTransaction ()
| {Begin transaction.Begins an transaction, make sure you'll call commit or rollback when done, otherwise work will be lost.} More...
| commit ()
  | {Commit transaction.Commit transaction, or throw exceptions if no transactions has been started. Exceptions
} More...
| rollback ()
  | {Rollback transaction.Rollback transaction, or throw exceptions if no transactions has been started. Exceptions
} More...
Public Member Functions inherited from eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler
| __construct (TransactionAwareAdapterInterface $cache, PersistenceLogger $logger, InMemoryCache $inMemory, PersistenceHandler $persistenceHandler, CacheIdentifierGeneratorInterface $cacheIdentifierGenerator, CacheIdentifierSanitizer $cacheIdentifierSanitizer, LocationPathConverter $locationPathConverter)
| Setups current handler with everything needed. More...
Public Member Functions inherited from eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler
| __construct (TransactionAwareAdapterInterface $cache, PersistenceLogger $logger, InMemoryCache $inMemory)
| Setups current handler with everything needed. More...

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler
| init ()
| Optional function to initialize handler without having to overload __construct(). More...
Protected Member Functions inherited from eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler
| getCacheValue ( $id, string $keyPrefix, callable $backendLoader, callable $cacheTagger, callable $cacheIndexes, string $keySuffix='', array $arguments=[])
| Load one cache item from cache and loggs the hits / misses. More...
| getListCacheValue (string $key, callable $backendLoader, callable $cacheTagger, callable $cacheIndexes, callable $listTags=null, array $arguments=[])
| Load list of objects of some type and loggs the hits / misses. More...
| getMultipleCacheValues (array $ids, string $keyPrefix, callable $backendLoader, callable $cacheTagger, callable $cacheIndexes, string $keySuffix='', array $arguments=[])
| Load several cache items from cache and loggs the hits / misses. More...
Protected Attributes inherited from eZ\Publish\Core\Persistence\Cache\AbstractInMemoryPersistenceHandler
| $persistenceHandler
| $cacheIdentifierGenerator
| $cacheIdentifierSanitizer
| $locationPathConverter
Protected Attributes inherited from eZ\Publish\Core\Persistence\Cache\AbstractInMemoryHandler
| $cache
| $logger

## Detailed Description

Persistence Transaction Cache Handler class.

Definition at line 14 of file Core/Persistence/Cache/TransactionHandler.php.

## Member Function Documentation

## ◆ beginTransaction()

eZ\Publish\Core\Persistence\Cache\TransactionHandler::beginTransaction | ( |  | ) |

{Begin transaction.Begins an transaction, make sure you'll call commit or rollback when done, otherwise work will be lost.}

Implements eZ\Publish\SPI\Persistence\TransactionHandler.

Definition at line 19 of file Core/Persistence/Cache/TransactionHandler.php.

## ◆ commit()

eZ\Publish\Core\Persistence\Cache\TransactionHandler::commit | ( |  | ) |

{Commit transaction.Commit transaction, or throw exceptions if no transactions has been started.

Exceptions

}

Implements eZ\Publish\SPI\Persistence\TransactionHandler.

Definition at line 30 of file Core/Persistence/Cache/TransactionHandler.php.

## ◆ rollback()

eZ\Publish\Core\Persistence\Cache\TransactionHandler::rollback | ( |  | ) |

{Rollback transaction.Rollback transaction, or throw exceptions if no transactions has been started.

Exceptions

}

Implements eZ\Publish\SPI\Persistence\TransactionHandler.

Definition at line 41 of file Core/Persistence/Cache/TransactionHandler.php.

The documentation for this class was generated from the following file:

- Core/Persistence/Cache/TransactionHandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.